PEAR version

Problems with the Linux version of XAMPP, questions, comments, and anything related.

PEAR version

Postby rickh57 » 17. March 2006 17:52

I just installed XAMPP 1.5.1 on a RedHat Linux system. In checking the Pear modules that are installed, I see that the version of Pear itself is version 1.3.2, which is very old. Version 1.4.8 (stable) is available from the PHP Pear repositories. 1.3.2 is too old to be able use the automated pearcmd.php to upgrade it.

Is there a reason that Pear hasn't been upgraded to a newer version?

Posts: 25
Joined: 28. April 2005 17:12

Postby Oswald » 21. March 2006 23:59

Dear Rick!

XAMPP 1.5.1 contains PEAR 1.4.5 which was the current PEAR version at the release time of XAMPP 1.5.1:

/opt/lampp/bin/pear version
PEAR Version: 1.4.5
PHP Version: 5.1.1
Zend Engine Version: 2.1.0

Many greetings
User avatar
Apache Friends
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby rickh57 » 22. March 2006 03:32

I just installed Xampp 1.5.1 on a couple of other Linux machines and the pear version is as you described. I'm not sure how I got the old version on the one box, but no big deal. Thanks for the reply.
Posts: 25
Joined: 28. April 2005 17:12

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests